> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete payable file

> Delete the file attached to a payable and clear the payable's reference to it, so that another file can be attached.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json delete /finops/v1/payables/{payable_id}/file
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2026-09-24'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/payables/{payable_id}/file:
    delete:
      tags:
        - Payables
      summary: Delete payable file
      description: >-
        Delete the file attached to a payable and clear the payable's reference
        to it, so that another file can be attached.
      operationId: delete_payables_id_file
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2026-09-24'
          name: x-finops-version
          in: header
        - name: payable_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayableResponseSchema'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: >-
            Possible responses: `Action for {object_type} at permissions not
            found: {action}`, `Object type at permissions not found:
            {object_type}`, `Action {action} for {object_type} not allowed`,
            `Payable couldn't be updated due to current state`, `The file cannot
            be attached because another file is already attached. Please note
            that only one file attachment is allowed.`, `The payable has no
            attached file to delete.`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PayableResponseSchema:
      properties:
        id:
          description: A unique ID assigned to this payable.
        created_at:
          description: >-
            UTC date and time when this payable was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
        updated_at:
          description: >-
            UTC date and time when this payable was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            format.
        amount_due:
          description: How much is left to be paid on the invoice (in minor units).
          examples:
            - 1000
        amount_paid:
          description: How much was paid on the invoice (in minor units).
          examples:
            - 1000
        amount_to_pay:
          description: >-
            How much is left to be paid on the invoice (in minor units) with
            discounts from payment terms.
          examples:
            - 1000
        approval_policy_id:
          description: >-
            Id of existing approval policy that applies to this payable, if any.
            A policy is applied if the payable matches the policy trigger
            conditions.
        counterpart:
          description: >-
            Object representing de-normalized counterpart data. Filled at the
            moment of invoice submitting for approval or payment.
        counterpart_address_id:
          description: The ID of counterpart address object stored in counterparts service
        counterpart_bank_account_id:
          description: >-
            The ID of counterpart bank account object stored in counterparts
            service
        counterpart_id:
          description: >-
            The ID of the counterpart object that represents the vendor or
            supplier.
        counterpart_raw_data:
          description: >-
            Object representing counterpart data which was extracted by OCR.
            Used for informational purposes.
        counterpart_vat_id_id:
          description: The ID of counterpart VAT ID object stored in counterparts service
        credit_notes:
          description: The list of linked credit notes of the payable.
        currency:
          description: >-
            The [currency code](https://docs.monite.com/references/currencies)
            of the currency used in the payable.
          examples:
            - USD
        currency_exchange: {}
        description:
          description: An arbitrary description of this payable.
        discount:
          description: >-
            The value of the additional discount that will be applied to the
            total amount. in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 500
        document_id:
          description: >-
            A unique invoice number assigned by the invoice issuer for payment
            tracking purposes. This is different from `id` which is an internal
            ID created automatically by Monite.
          examples:
            - INV-2287
        due_date:
          description: >-
            The date by which the payable must be paid, in the YYYY-MM-DD
            format. If the payable specifies payment terms with early payment
            discounts, this is the final payment date.
        duplicates:
          description: >-
            Suspected and reviewed duplicates of this payable. Both payables of
            a matched pair see the same match. Ordered: suspected first, then
            confirmed, then dismissed, newest first within each group. At most
            100 entries are returned.
        enforce_approval_policy_id:
          description: >-
            Id of an existing approval policy that should be enforced when
            submitting the payable for approval.If this field is set, no other
            policies will be evaluated via their triggers - the specified policy
            will always be applied instead.
        entity_id:
          description: The ID of the entity to which the payable was issued.
        file:
          description: The original file from which this payable was created.
        file_id:
          description: File id to retrieve the stored file info.
        issued_at:
          description: The date when the payable was issued, in the YYYY-MM-DD format.
        marked_as_paid_by_entity_user_id:
          description: The ID of the entity user who marked this document as paid.
          examples:
            - 71e8875a-43b3-434f-b12a-54c84c176ef3
        marked_as_paid_with_comment:
          description: >-
            An arbitrary comment that describes how and when this payable was
            paid.
          examples:
            - Was paid partly in the end of the month.
        ocr_request_id:
          description: >-
            Id of OCR request to match asynchronous result of processing
            payable.
        ocr_status:
          description: >-
            The status of the data recognition process using OCR. The
            'processing' status means that the data recognition is in progress
            and the user needs to wait for the data enrichment. The 'error'
            status indicates that some error occurred on the OCR side and the
            user can fill in the data manually. The 'success' status means the
            data recognition has been successfully completed, after which the
            user can check the data if desired and enrich or correct it.
        other_extracted_data:
          description: Data extracted from the uploaded payable by OCR.
        paid_at:
          description: The date by which the payable was paid
        partner_metadata:
          description: Metadata for partner needs
        payable_origin:
          description: >-
            Specifies how this payable was created in Monite: `upload` - created
            via an API call, `email` - sent via email to the entity's mailbox.
        payment_terms:
          description: >-
            The number of days to pay with potential discount for options
            shorter than due_date
        project_id:
          description: Project id of a payable.
        purchase_order_id:
          description: The identifier of the purchase order to which this payable belongs.
        scheduled_payment_date:
          description: >-
            The date of this payable's earliest live scheduled payment, in the
            YYYY-MM-DD format, or `null` if it has none. This is the value
            `sort=scheduled_payment_date` orders by; payables with no live
            scheduled payment sort last in ascending order and first in
            descending order.
        sender:
          description: The email address from which the invoice was sent to the entity.
          examples:
            - hello@example.com
        source_of_payable_data:
          description: >-
            Specifies how the property values of this payable were provided:
            `ocr` - Monite OCR service extracted the values from the provided
            PDF or image file, `user_specified` - values were added or updated
            via an API call.
        status:
          description: >-
            The
            [status](https://docs.monite.com/accounts-payable/payables/index) of
            the payable.
        subtotal:
          description: >-
            The subtotal amount to be paid, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 1250
        suggested_payment_term:
          description: >-
            The suggested date and corresponding discount in which payable could
            be paid. The date is in the YYYY-MM-DD format. The discount is
            calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%,
            10000 is 100 %. Date varies depending on the payment terms and may
            even be equal to the due date with discount 0.
        tags:
          description: >-
            A list of user-defined tags (labels) assigned to this payable. Tags
            can be used to trigger a specific approval policy for this payable.
        tax:
          description: >-
            Registered tax percentage applied for a service price in minor
            units, e.g. 200 means 2%, 1050 means 10.5%.
          examples:
            - 2000
        tax_amount:
          description: >-
            Tax amount in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 250
        total_amount:
          description: >-
            The total amount to be paid, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 1500
        total_amount_with_credit_notes:
          description: >-
            The total price of the payable in [minor
            units](https://docs.monite.com/references/currencies#minor-units),
            excluding all issued credit notes.
        was_created_by_user_id: {}
      type: object
      required:
        - id
        - entity_id
        - status
        - source_of_payable_data
        - credit_notes
        - payable_origin
        - created_at
        - updated_at
      description: >-
        Represents an Accounts Payable document received from a vendor or
        supplier.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````